SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetSentimentAnalysisResult] (
	@VCC varchar(50),
	@InteractionId varchar(250),
	@InteractionSection numeric(5,0),
	@InteractionPart numeric(5,0),
	@EndDate varchar(50)
   
	)
AS
BEGIN
	SET NOCOUNT ON

    SELECT [AnalysisType]					'analysisType',
			[SentimentId]					'intentId',
			[Score]							'averageResult',
			CASE WHEN [MaxScore] = 0 THEN 'normal' 
				ELSE 'max' 
				END							'status'
		FROM [dbo].[SentimentAnalysisResult] SAR (NOLOCK)
		WHERE SAR.[VCC] = @VCC
			AND SAR.[InteractionId] = @InteractionId
			AND SAR.[InteractionSection] = @InteractionSection
			AND SAR.[InteractionPart] = @InteractionPart
			AND ISNULL(CONVERT(DATE, SAR.[EndDate], 105), '') = ISNULL(@EndDate, '')
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
